Subject: 26.1; emacs-module.h isn't installed with Emacs for module development
From: Vasilij Schneidermann <[email-masked]>
To: [email-masked]
Date: Tue, 18 Sep 2018 20:08:10 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I've recently developed a simple module and ran into a surprising issue
with the skeleton: I couldn't locate the emacs-module.h in my system
matching the Emacs installation the module is compiled against.  I
eventually gave up and just bundled the emacs-module.h from a Git
checkout with my module's source code.  It makes up for most of the code
in the project.

This is far from ideal.  If I give an Emacs user the source code of a
module without that header file, they can't easily compile it for their
system.  This severely hamper a workflow where a package manager would
be extended to handle module compilation as I haven't found other Emacs
modules bundling the header file.  Is this an oversight in the
installation process or a deliberate design decision?